Bug 1873427 - Remove confirmation screen when user chooses to close out of the Guided Tour
Summary: Remove confirmation screen when user chooses to close out of the Guided Tour
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.6.0
Assignee: Sahil Budhwar
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-28 10:03 UTC by Sahil Budhwar
Modified: 2020-09-09 07:23 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Removed confirmation screen when user chooses to close out of the Guided Tour (531.47 KB, video/webm)
2020-09-07 10:41 UTC, spathak@redhat.com
no flags Details
Remove confirmation screen when user chooses to close out of the Guided Tour-2 (181.53 KB, video/webm)
2020-09-07 10:42 UTC, spathak@redhat.com
no flags Details
Remove confirmation screen when user chooses to close out of the Guided Tour-3 (376.96 KB, video/webm)
2020-09-07 10:45 UTC, spathak@redhat.com
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6470 None closed Bug 1873427: GuidedTour: remove the confirmation modal while closing out the guide… 2020-09-07 10:39:28 UTC

Description Sahil Budhwar 2020-08-28 10:03:54 UTC
Description of problem:
We have heard both internal feedback and external (UNC customers) that they do not like the extra step where we ask if they are sure the want to leave the tour after they choose "Skip Tour". See internal feedback: https://coreos.slack.com/archives/C6A3NV5J9/p1597169001408800

Additionally, we have heard that the expectation is that on the first popup ("Welcome to Developer Perspective!") of the Guided Tour there will be an "X" in the top right corner to close.

This bug is requesting 2 fixes:

Remove the "Are you sure?" pop up when user clicks the Skip Tour button
Add an "X" to the top right of the "Welcome" pop up. When clicked, the Tour closes as if they chose "Skip Tour".
Prerequisites (if any, like setup, operators/versions):
Steps to Reproduce
Go to dev console for the first time
Reproducibility (Always/Intermittent/Only Once):
Always

Comment 1 spathak@redhat.com 2020-09-07 10:41:44 UTC
Created attachment 1713944 [details]
Removed confirmation screen when user chooses to close out of the Guided Tour

Comment 2 spathak@redhat.com 2020-09-07 10:42:18 UTC
Created attachment 1713945 [details]
Remove confirmation screen when user chooses to close out of the Guided Tour-2

Comment 3 spathak@redhat.com 2020-09-07 10:45:32 UTC
Created attachment 1713946 [details]
Remove confirmation screen when user chooses to close out of the Guided Tour-3

Comment 4 spathak@redhat.com 2020-09-07 10:46:04 UTC
Verified on build number: 4.6.0-0.ci-2020-09-05-015624
Browser version: Chrome 84


Note You need to log in before you can comment on or make changes to this bug.